Bug 690649 - Use of free'd pointer in indexing code
Summary: Use of free'd pointer in indexing code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 639035 389_1.2.9
TreeView+ depends on / blocked
 
Reported: 2011-03-24 23:01 UTC by Nathan Kinder
Modified: 2015-12-07 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:53:12 UTC


Attachments (Terms of Use)
Patch for cov#10731 (1.92 KB, patch)
2011-03-24 23:06 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-03-24 23:01:48 UTC
There is a chance we can use a free'd string in the indexing code when debug logging is being used along with attribute encryption.  The case is very unlikely, as it requires an attribute name of longer than 255 characters to be used as well as needing an error condition to occur when encrypting the index key.

Comment 1 Nathan Kinder 2011-03-24 23:06:05 UTC
Created attachment 487435 [details]
Patch for cov#10731

Comment 2 Nathan Kinder 2011-03-24 23:17:42 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 1.08 KiB, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   1b22679..13e53f4  master -> master

Comment 3 Rich Megginson 2011-06-06 21:20:32 UTC
I'm assuming this is a coverity issue and should be verified by dev.  Since coverity reports no issues now, marking this bug as verified.

Comment 4 Rich Megginson 2011-11-03 14:35:15 UTC
changed blocker bugs to DSIPA2.0 and 389-1.2.9 because this fix is in 389-ds-base-1.2.9


Note You need to log in before you can comment on or make changes to this bug.